Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » lists and sequences » List | List
next | previous | forward | backward | up | index | toc

# List | List -- join lists, sequences or arrays

- Operator: |
- Usage:
    `v | w`
- Inputs:
  - v, a list, an array, or a sequence
  - w, of the same type as v
- Outputs:
  - The join of the lists, sequences or arrays.

## Description

    i1 : {1,2,3}|{4,5,6}

    o1 = {1, 2, 3, 4, 5, 6}

    o1 : List

    i2 : (a,b,c)|(1,2)

    o2 = (a, b, c, 1, 2)

    o2 : Sequence

## See also

- join -- join lists, sequences, and iterable objects

## Ways to use this method:

- `Array | Array`
- List | List -- join lists, sequences or arrays
- `Sequence | Sequence`

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_lists.m2:866:0.